Python教程:windows下matplotlib安装错误(ImportError: matplotlib requires dateutil)

引用matplotlib包的时候出现一个问题,百度一下才知道问题再哪里,我们先来看看问题是什么。错误提示为:ImportError: matplotlib requiresdateutil

         我使用二进制安装文件来安装这个包,安装过程没有出现任何问题


  1. 在我使用【import matplotlib】引入该模块的时候,出现了这个错误:

  2.   File "D:\Python27\lib\site-packages\matplotlib\__init__.py", line 111, in <module>

        raise ImportError("matplotlib requires dateutil")

    ImportError: matplotlib requires dateutil

  3. 其实就是引入matplotlib模块需要用到dateutil模块。假如你没有安装setuptools,我们可以看这篇文章进行安装:http://blog.csdn.net/u011630575/article/details/53415995

  4. 打开cmd窗口

  5. 输入这个,找不到这个模块

  6. 我们得用:easy_install   python-dateutil(easy_install.exe   python-dateutil

  7. 安装好了以后,我们就可以正确引用matplotlib

发布了396 篇原创文章 · 获赞 524 · 访问量 233万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览